Bug 1290544 - Review Request: perl-Carton - Perl module dependency manager (aka Bundler for Perl)
Review Request: perl-Carton - Perl module dependency manager (aka Bundler for...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1290551
  Show dependency treegraph
 
Reported: 2015-12-10 13:41 EST by Petr Šabata
Modified: 2016-02-16 10:25 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Carton-1.0.22-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 10:25:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-12-10 13:41:21 EST
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Carton/perl-Carton.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Carton/perl-Carton-1.0.22-1.fc23.src.rpm
Description:
carton is a command line tool to track the Perl module dependencies for
your Perl application. Dependencies are declared using cpanfile format,
and the managed dependencies are tracked in a cpanfile.snapshot file,
which is meant to be version controlled, and the snapshot file allows
other developers of your application will have the exact same versions of
the modules.
Fedora Account System Username: psabata
Comment 1 Upstream Release Monitoring 2015-12-11 09:10:33 EST
ppisar's scratch build of perl-Carton-1.0.22-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12153657
Comment 2 Petr Pisar 2015-12-11 09:15:43 EST
URL and Source0 addresses are usable. Ok.
Source archive is original (SHA-256: 3a869b736962d0cba43b86a7a97d87565b57f87c5ae5721c5f5aa18cdae6e8ab). Ok.
Summary verified from README. Ok.
Description verified from README. Ok.

TODO: Remove the "will" from the last sentence in the description.

License verified from README, LICENSE, lib/Carton.pm. Ok.
No XS code, noarch BuildArch is Ok.

`perl-App-cpanminus >= 1.703' required for unversioned App::cpanminus::fatscript. Ok.
Test::Pod not used. Ok.
All tests pass. Ok.

$ rpmlint perl-Carton.spec ../SRPMS/perl-Carton-1.0.22-1.fc24.src.rpm ../RPMS/noarch/perl-Carton-1.0.22-1.fc24.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.
$ rpm -q -lv -p ../RPMS/noarch/perl-Carton-1.0.22-1.fc24.noarch.rpm 
-rwxr-xr-x    1 root    root                      370 Dec 11 15:06 /usr/bin/carton
drwxr-xr-x    2 root    root                        0 Dec 11 15:07 /usr/share/doc/perl-Carton
-rw-r--r--    1 root    root                    10052 Aug 12 07:17 /usr/share/doc/perl-Carton/Changes
-rw-r--r--    1 root    root                     4807 Aug 12 07:17 /usr/share/doc/perl-Carton/README
drwxr-xr-x    2 root    root                        0 Dec 11 15:07 /usr/share/licenses/perl-Carton
-rw-r--r--    1 root    root                    18370 Aug 12 07:17 /usr/share/licenses/perl-Carton/LICENSE
-rw-r--r--    1 root    root                     1217 Dec 11 15:06 /usr/share/man/man1/carton.1.gz
-rw-r--r--    1 root    root                     3077 Dec 11 15:06 /usr/share/man/man3/Carton.3pm.gz
-rw-r--r--    1 root    root                     1362 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Bundle.3pm.gz
-rw-r--r--    1 root    root                     1427 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Check.3pm.gz
-rw-r--r--    1 root    root                     1393 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Exec.3pm.gz
-rw-r--r--    1 root    root                     3009 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::FAQ.3pm.gz
-rw-r--r--    1 root    root                     1260 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Fatpack.3pm.gz
-rw-r--r--    1 root    root                     2357 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Install.3pm.gz
-rw-r--r--    1 root    root                     1326 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::List.3pm.gz
-rw-r--r--    1 root    root                     1167 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Show.3pm.gz
-rw-r--r--    1 root    root                     1164 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Tree.3pm.gz
-rw-r--r--    1 root    root                     1648 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Update.3pm.gz
-rw-r--r--    1 root    root                     1658 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Upgrading.3pm.gz
-rw-r--r--    1 root    root                     1157 Dec 11 15:06 /usr/share/man/man3/Carton::Doc::Version.3pm.gz
drwxr-xr-x    2 root    root                        0 Dec 11 15:07 /usr/share/perl5/vendor_perl/Carton
-rw-r--r--    1 root    root                     4768 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton.pm
-rw-r--r--    1 root    root                     3101 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Builder.pm
-rw-r--r--    1 root    root                    10480 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/CLI.pm
-rw-r--r--    1 root    root                     1076 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/CPANfile.pm
-rw-r--r--    1 root    root                      330 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Dependency.pm
drwxr-xr-x    2 root    root                        0 Dec 11 15:07 /usr/share/perl5/vendor_perl/Carton/Dist
-rw-r--r--    1 root    root                      767 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Dist.pm
-rw-r--r--    1 root    root                      327 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Dist/Core.pm
drwxr-xr-x    2 root    root                        0 Dec 11 15:07 /usr/share/perl5/vendor_perl/Carton/Doc
-rw-r--r--    1 root    root                      544 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Bundle.pod
-rw-r--r--    1 root    root                      632 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Check.pod
-rw-r--r--    1 root    root                      647 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Exec.pod
-rw-r--r--    1 root    root                     4459 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/FAQ.pod
-rw-r--r--    1 root    root                      337 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Fatpack.pod
-rw-r--r--    1 root    root                     2998 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Install.pod
-rw-r--r--    1 root    root                      472 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/List.pod
-rw-r--r--    1 root    root                      193 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Show.pod
-rw-r--r--    1 root    root                      197 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Tree.pod
-rw-r--r--    1 root    root                     1222 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Update.pod
-rw-r--r--    1 root    root                     1137 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Upgrading.pod
-rw-r--r--    1 root    root                      168 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Doc/Version.pod
-rw-r--r--    1 root    root                     2479 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Environment.pm
-rw-r--r--    1 root    root                      737 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Error.pm
-rw-r--r--    1 root    root                     1500 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Index.pm
-rw-r--r--    1 root    root                      342 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Mirror.pm
-rw-r--r--    1 root    root                      211 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Package.pm
-rw-r--r--    1 root    root                     2333 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Packer.pm
drwxr-xr-x    2 root    root                        0 Dec 11 15:07 /usr/share/perl5/vendor_perl/Carton/Snapshot
-rw-r--r--    1 root    root                     4516 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Snapshot.pm
-rw-r--r--    1 root    root                      855 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Snapshot/Emitter.pm
-rw-r--r--    1 root    root                     3302 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Snapshot/Parser.pm
-rw-r--r--    1 root    root                     1668 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Tree.pm
-rw-r--r--    1 root    root                      489 Aug 12 07:17 /usr/share/perl5/vendor_perl/Carton/Util.pm
File permissions and layout is Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Carton-1.0.22-1.fc24.noarch.rpm | sort -f | uniq -c
      1 /usr/bin/perl
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.8.0
      1 perl(:VERSION) >= 5.8.1
      1 perl(App::FatPacker)
      1 perl(Carp)
      1 perl(Carton)
      1 perl(Carton::Builder)
      1 perl(Carton::CLI)
      1 perl(Carton::CPANfile)
      1 perl(Carton::Dependency)
      1 perl(Carton::Dist)
      1 perl(Carton::Dist::Core)
      1 perl(Carton::Environment)
      1 perl(Carton::Error)
      1 perl(Carton::Index)
      1 perl(Carton::Mirror)
      1 perl(Carton::Package)
      1 perl(Carton::Snapshot)
      1 perl(Carton::Snapshot::Emitter)
      1 perl(Carton::Snapshot::Parser)
      1 perl(Carton::Tree)
      1 perl(Carton::Util)
      1 perl(Class::Tiny) >= 1.001
      1 perl(Config)
      1 perl(constant)
      1 perl(CPAN::Meta) >= 2.120921
      1 perl(CPAN::Meta::Requirements) >= 2.121
      1 perl(File::Find)
      1 perl(File::pushd)
      1 perl(Getopt::Long) >= 2.39
      1 perl(JSON) >= 2.53
      1 perl(Module::CoreList)
      1 perl(Module::CPANfile) >= 0.9031
      1 perl(Module::Metadata) >= 1.000003
      1 perl(Module::Reader) >= 0.002
      1 perl(overload)
      1 perl(parent) >= 0.223
      1 perl(Path::Tiny) >= 0.033
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(subs)
      1 perl(Try::Tiny) >= 0.09
      1 perl(version)
      1 perl(warnings)
      1 perl-App-cpanminus >= 1.703
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

TODO: Run-require (or recommend) `perl-core' as documented in README's 
AVAILABILITY section. ("Carton only works with perl installation with the complete set of core modules.")

$ rpm -q --provides -p ../RPMS/noarch/perl-Carton-1.0.22-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(Carton) = 1.0.22
      1 perl(Carton::Builder)
      1 perl(Carton::CLI)
      1 perl(Carton::CPANfile)
      1 perl(Carton::Dependency)
      1 perl(Carton::Dist)
      1 perl(Carton::Dist::Core)
      1 perl(Carton::Environment)
      1 perl(Carton::Error)
      1 perl(Carton::Error::CommandExit)
      1 perl(Carton::Error::CommandNotFound)
      1 perl(Carton::Error::CPANfileNotFound)
      1 perl(Carton::Error::SnapshotNotFound)
      1 perl(Carton::Error::SnapshotParseError)
      1 perl(Carton::Index)
      1 perl(Carton::Mirror)
      1 perl(Carton::Package)
      1 perl(Carton::Packer)
      1 perl(Carton::Snapshot)
      1 perl(Carton::Snapshot::Emitter)
      1 perl(Carton::Snapshot::Parser)
      1 perl(Carton::Tree)
      1 perl(Carton::Util)
      1 perl-Carton = 1.0.22-1.fc24
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Carton-1.0.22-1.fc24.noarch.rpm
Binary dependencies resolvable. Ok.

Package builds in F24 (http://koji.fedoraproject.org/koji/taskinfo?taskID=12153657). Ok.

Package is in line with Fedora and Perl packaging guidelines.

Please consider fixing `TODO' item before building this package.
Resolution: Package APPROVED.
Comment 3 Gwyn Ciesla 2015-12-11 10:17:00 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Carton
Comment 4 Petr Šabata 2015-12-11 13:14:18 EST
Thanks.

I've corrected the %description grammar and Recommend'ed perl-core.
Comment 5 Fedora Update System 2015-12-11 13:24:31 EST
perl-Carton-1.0.22-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2568a025b0
Comment 6 Fedora Update System 2015-12-11 22:22:40 EST
perl-Carton-1.0.22-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Carton'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2568a025b0
Comment 7 Fedora Update System 2015-12-22 17:05:12 EST
perl-Carton-1.0.22-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.